> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Client Orders



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/clients/{client_id}/orders
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/clients/{client_id}/orders:
    get:
      tags:
        - Clients
      summary: List Client Orders
      operationId: list_client_orders_api_v1_clients__client_id__orders_get
      parameters:
        - name: client_id
          in: path
          required: true
          schema:
            type: string
            title: Client Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated statuses
            title: Status
          description: Comma-separated statuses
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date From
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date To
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Search order # or style'
            title: Search
          description: 'Search order # or style'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedClientOrdersResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedClientOrdersResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ClientOrderRow'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - data
        - pagination
      title: PaginatedClientOrdersResponse
      description: Paginated wrapper around `ClientOrderRow`.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientOrderRow:
      properties:
        orderNumber:
          type: string
          title: Ordernumber
        poReference:
          anyOf:
            - type: string
            - type: 'null'
          title: Poreference
        orderDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Orderdate
        styles:
          anyOf:
            - type: string
            - type: 'null'
          title: Styles
        quantity:
          type: integer
          title: Quantity
        totalValue:
          type: number
          title: Totalvalue
        status:
          type: string
          title: Status
        deliveryDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverydate
      type: object
      required:
        - orderNumber
        - quantity
        - totalValue
        - status
      title: ClientOrderRow
      description: Summary row for a client's sales order.
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationMeta
      description: Pagination metadata matching API_STANDARDS.md Section 4.3.1
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````